Sounblaster Live on kernel 2.2.18 ?

Sounblaster Live on kernel 2.2.18 ?

Post by Hans Neliss » Sat, 30 Dec 2000 23:04:23



I have a problem installing the soundblaster drivers in linux (kernel
2.2.18). I started with 2.2.16 and there they worked fine, but i had
to upgrade to 2.2.18 because of a network card problem.

In 2.2.16 there was a driver called snd-card-emu10k1, in 2.2.18 there
isn't. There is however a driver called emu10k1. But i cant get it to
work with this one.

I tried to copy the old driver to the 2.2.18 folder, i tried hacking
the version number of the old driver, i tried renaming the emu10k1
driver to snd-card-emu10k1, i tried fiddling with the modules.conf,
but nothing worked. Linux keeps complaining that it cant load
snd-card-emu10k1.

Or could it be the Yast program from Suse 7.0 ?

Any ideas?

Hans

--
http://users.bart.nl/~hneel/

 
 
 

Sounblaster Live on kernel 2.2.18 ?

Post by lobotom » Sun, 31 Dec 2000 08:35:09


The snd-card-emu10k1 driver sounds like an alsa driver.  ALSA is a more
advanced sound card interface currently in development, which SuSE
includes in their distribution.  You can get the latest driver source
from www.alsa-project.org, compile that against the new kernel, and you
will have the driver you were using before.  



> I have a problem installing the soundblaster drivers in linux (kernel
> 2.2.18). I started with 2.2.16 and there they worked fine, but i had
> to upgrade to 2.2.18 because of a network card problem.

> In 2.2.16 there was a driver called snd-card-emu10k1, in 2.2.18 there
> isn't. There is however a driver called emu10k1. But i cant get it to
> work with this one.

> I tried to copy the old driver to the 2.2.18 folder, i tried hacking the
> version number of the old driver, i tried renaming the emu10k1 driver to
> snd-card-emu10k1, i tried fiddling with the modules.conf, but nothing
> worked. Linux keeps complaining that it cant load snd-card-emu10k1.

> Or could it be the Yast program from Suse 7.0 ?

> Any ideas?

> Hans

--
PC Chips actually goes by many names. PCChips = Ability = Alton = Amptron =
Aristo = Asia Gate = Asiatech = Assa = Atrend = Elpina = Eurone = Fugu =
Fugutech = Hi Sing = Houston = Hsing Tech = H Tech = Matsonic = Minstaple =
PCWare = Pine = Protac = QDI = Warpspeed

 
 
 

Sounblaster Live on kernel 2.2.18 ?

Post by -= flipje » Mon, 01 Jan 2001 03:23:44



>In 2.2.16 there was a driver called snd-card-emu10k1, in 2.2.18 there
>isn't. There is however a driver called emu10k1. But i cant get it to
>work with this one.

The emu10k1 driver in 2.2.17 worked fine. But after I upgraded to 2.2.18
it wouldn't work anymore.
I switched to the creative drivers on http://opensource.creative.com and
these work excellent.
 
 
 

Sounblaster Live on kernel 2.2.18 ?

Post by Charli » Wed, 03 Jan 2001 17:49:30


Well When I upgraded from 2.2.16 to 2.2.18 because of Highpoint hpt370
ata100 raid controller I used the make xconfig and when it asked me for
Soundcard support I used the option M  (module)  and my SBLive card works
great..  Just recompile the kernel after you change it and the card will
work great..

Quote:> I have a problem installing the soundblaster drivers in linux (kernel
> 2.2.18). I started with 2.2.16 and there they worked fine, but i had
> to upgrade to 2.2.18 because of a network card problem.

> In 2.2.16 there was a driver called snd-card-emu10k1, in 2.2.18 there
> isn't. There is however a driver called emu10k1. But i cant get it to
> work with this one.

> I tried to copy the old driver to the 2.2.18 folder, i tried hacking
> the version number of the old driver, i tried renaming the emu10k1
> driver to snd-card-emu10k1, i tried fiddling with the modules.conf,
> but nothing worked. Linux keeps complaining that it cant load
> snd-card-emu10k1.

> Or could it be the Yast program from Suse 7.0 ?

> Any ideas?

> Hans

> --
> http://users.bart.nl/~hneel/

 
 
 

Sounblaster Live on kernel 2.2.18 ?

Post by Poinsett Weldo » Thu, 18 Jan 2001 01:39:43


Try this sight it worked for me.

http://www.linuxnewbie.org/nhf/intel/soundcards/sblive.html